'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-440dee10.js');
const index_esm_min = require('./index.esm.min-07bdb49e.js');

const BpSdkRoot = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.completedAt = undefined;
    this.disableWebSocket = false;
    this.enableLifecycleEvents = false;
    this.disableToolbar = false;
    this.storeLoaded = false;
  }
  onDisabledWebSocket(disableWebSocket) {
    index_esm_min.Hi.dispatch(index_esm_min.aW({ enableWebsocket: !disableWebSocket }));
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.onDisabledWebSocket(this.disableWebSocket);
  }
  render() {
    return (index.h("bp-sdk-setup-container", null, [!!this.enableLifecycleEvents && index.h("bp-sdk-custom-event-container", null), !this.disableToolbar && index.h("bp-sdk-interview-toolbar", null)], index.h("slot", null)));
  }
  static get watchers() { return {
    "disableWebSocket": ["onDisabledWebSocket"]
  }; }
};

exports.bp_sdk_root = BpSdkRoot;
