import { r as registerInstance, h } from './index-8298fa0c.js';
import { H as Hi, z as aW } from './index.esm.min-06b27be7.js';

const BpSdkRoot = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.completedAt = undefined;
    this.disableWebSocket = false;
    this.enableLifecycleEvents = false;
    this.disableToolbar = false;
    this.storeLoaded = false;
  }
  onDisabledWebSocket(disableWebSocket) {
    Hi.dispatch(aW({ enableWebsocket: !disableWebSocket }));
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.onDisabledWebSocket(this.disableWebSocket);
  }
  render() {
    return (h("bp-sdk-setup-container", null, [!!this.enableLifecycleEvents && h("bp-sdk-custom-event-container", null), !this.disableToolbar && h("bp-sdk-interview-toolbar", null)], h("slot", null)));
  }
  static get watchers() { return {
    "disableWebSocket": ["onDisabledWebSocket"]
  }; }
};

export { BpSdkRoot as bp_sdk_root };
