import { type BpSdkRedux, type BpSdkStore } from '@boldpenguin/sdk-redux';
import type { Unsubscribe as ReduxUnsubscribe } from 'redux';
export type Unsubscribe = ReduxUnsubscribe;
declare class ReduxStoreService {
  store: BpSdkRedux;
  state: BpSdkStore;
  constructor();
  mapDispatchToProps: <C extends {
    [K in keyof P]: any;
  }, P>(component: C, props: P) => void;
  mapStateToProps: <C extends R, R>(component: C, mapper: (state: BpSdkStore) => R) => Unsubscribe;
}
declare const _default: ReduxStoreService;
export default _default;
